Subject: [bug#69669] [PATCH gnome-team v2 0/3] Update girara (better)

From: Vivien Kraus <[email-masked]>
Date: Sat, 09 Mar 2024 13:33:01 +0100

Le samedi 09 mars 2024 à 10:24 +0100, Liliana Marie Prikler a écrit :
> > I split the cosmetic changes, and also split the non-cosmetic
> > change
> > in 2.  json-glib is an optional dependency, so girara can exist
> > with
> > and without it.
> Would you care to elaborate?  Depending on the exact changes between
> the version, I might want to squash this into one commit.

In meson_options.txt, here is the description for the 'json' option: 

```
description: 'dump configuration using JSON'
```

The README has:

```
The following dependencies are optional:

* `json-glib-1.0`: configuration dumping support
```

The blame tells us it was added in september 2022, so later than the
0.3.7 release (february 2022).

I don’t really understand what it’s used for, I have never developed
with girara.

Does this help?

Vivien